* guile-snarf-docs.in, guile-snarf-docs-texi.in,
[bpt/guile.git] / libguile / guile-snarf-docs.in
diff --git a/libguile/guile-snarf-docs.in b/libguile/guile-snarf-docs.in
new file mode 100755 (executable)
index 0000000..338b710
--- /dev/null
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Extract the doc stuff for builtin things.
+#
+#  Copyright (C) 1996, 1997, 1998, 1999, 2000 Free Software Foundation, Inc.
+# 
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this software; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
+# Boston, MA 02111-1307 USA
+
+bindir=`dirname $0`
+
+temp="/tmp/snarf.$$"
+trap "rm -f $temp" 0 1 2 15
+
+## Let the user override the preprocessor autoconf found.
+test -n "${CPP+set}" || CPP="@CPP@"
+
+## We must use a temporary file here, instead of a pipe, because we
+## need to know if CPP exits with a non-zero status.
+${CPP} -DSCM_MAGIC_SNARF_DOCS "$@" > ${temp} || exit $?
+< ${temp} ${bindir}/guile_filter_doc_snarfage